Skip to main content
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
deployments
/
{deployment_id}
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/deployments/{deployment_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": 123,
  "project_env_id": 123,
  "status": "<string>",
  "target": {
    "id": 123,
    "type": "<string>",
    "commit": "<unknown>",
    "manifest_id": "<string>",
    "version_id": 123
  },
  "type": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "build_finished_at": "2023-11-07T05:31:56Z",
  "build_logs": "<string>",
  "build_started_at": "2023-11-07T05:31:56Z",
  "cpu": 123,
  "desired_count": 123,
  "domain": "<string>",
  "ephemeral_storage": 123,
  "memory": 123,
  "status_detail": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required
deployment_id
string
required

Response

200 - application/json

Deployment details

created_at
string<date-time>
required
id
integer<int64>
required
project_env_id
integer<int64>
required
status
string
required
target
object
required
type
string
required
updated_at
string<date-time>
required
build_finished_at
string<date-time> | null
build_logs
string | null
build_started_at
string<date-time> | null
cpu
integer<int32> | null
desired_count
integer<int32> | null
domain
string | null
ephemeral_storage
integer<int32> | null
memory
integer<int32> | null
status_detail
string | null